Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007438 [DCSS] Bug Report minor always 2013-08-07 14:58 2013-08-10 22:48
Reporter BlackSheep View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007438: Simulacrum doesn't enable mouse wielding of chunks
Description Knowing Sublimation of Blood enables you to ctrl-click chunks in the inventory panel to wield them. Knowing Simulacrum should enable the same behavior.
Additional Information
Tags patch
Attached Files ? file icon 0001-Let-knowledge-of-Simulacrum-enable-wielding-via-mous.patch [^] (1,934 bytes) 2013-08-08 16:38 [Show Content]

- Relationships

-  Notes
(0023699)
neil (administrator)
2013-08-10 10:55

Applied in trunk (0.13-a0-2658-g2178ea5), along with several changes related to preserved meat and simulacrum. There is still a minor bug in that mummies don't get a tooltip. Fixing that would require duplicating the code yet again in _can_use_item(), so I did not do so; all these checks should be refactored.
(0023707)
BlackSheep (reporter)
2013-08-10 22:48

I always forget that meat rations, etc. work with Simulacrum now. Thanks.

- Issue History
Date Modified Username Field Change
2013-08-07 14:58 BlackSheep New Issue
2013-08-08 16:38 BlackSheep File Added: 0001-Let-knowledge-of-Simulacrum-enable-wielding-via-mous.patch
2013-08-08 16:38 BlackSheep Tag Attached: patch
2013-08-10 09:30 neil Status new => assigned
2013-08-10 09:30 neil Assigned To => neil
2013-08-10 10:55 neil Note Added: 0023699
2013-08-10 10:55 neil Status assigned => resolved
2013-08-10 10:55 neil Fixed in Branch => 0.13 development branch
2013-08-10 10:55 neil Resolution open => done
2013-08-10 22:48 BlackSheep Note Added: 0023707
2013-08-10 22:48 BlackSheep Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker